Bug 197484 - Review Request: perl-Class-MakeMethods
Review Request: perl-Class-MakeMethods
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-02 17:11 EDT by Chris Weyl
Modified: 2010-09-02 17:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-05 11:47:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-07-02 17:11:46 EDT
Spec URL: http://home.comcast.net/~ckweyl/perl-Class-MakeMethods.spec
SRPM URL: http://home.comcast.net/~ckweyl/perl-Class-MakeMethods-1.01-0.fc5.src.rpm

Description:
The Class::MakeMethods framework allows Perl class developers to quickly
define common types of methods. When a module uses Class::MakeMethods or one
of its subclasses, it can select from a variety of supported method types, and
specify a name for each method desired. The methods are dynamically generated
and installed in the calling package.

Construction of the individual methods is handled by subclasses. This
delegation approach allows for a wide variety of method-generation techniques
to be supported, each by a different subclass. Subclasses can also be added to
provide support for new types of methods.

Over a dozen subclasses are available, including implementations of a variety
of different method-generation techniques. Each subclass generates several
types of methods, with some supporting their own open-eneded extension syntax,
for hundreds of possible combinations of method types.
Comment 1 Jochen Schmitt 2006-07-03 15:46:59 EDT
Good:
+ tarballs in SRPM match upstream version.
+ rpmlint doensn't complaints source rpm.
+ Local Build works fine.
+ Mock build works fine.
+ rpmlint doesn't complaints binary rpm.
+ License is the same as perl.

Bad:
- perl should not be included
- Package doesn't contain verbatin license text.
Comment 2 Jason Tibbitts 2006-07-03 16:34:05 EDT
Jochen, are you reviewing this?  You should block FE-REVIEW instead of FE-NEW is
you are.

Note that BR: perl is in the optional list; generally we don't see it as a
blocker.  I can't tell if you're inticating that it's a blocker or not.

Also note that it is quite rare for a Perl module to include the verbatim
license text, and it not a blocker to fail to include the license text in the
package when the upstream tarball does not include it.

Just some friendly comments.  Thanks for helping out with the reviews.
Comment 3 Jochen Schmitt 2006-07-04 13:44:01 EDT
@Jason,

Thank you for your clarification.

@Christ,

After the clarification from Jason, I will be able to APPROVE you package.
Comment 4 Chris Weyl 2006-07-05 11:47:06 EDT
Imported and built for devel; will build for FC-[45] after branching.

Thanks for the review!
Comment 5 Mike McGrath 2006-07-05 11:52:29 EDT
Is this actually Approved or still waiting for approval?
Comment 6 Chris Weyl 2006-07-05 12:00:27 EDT
Given the blocker bug was switched from FE-REVIEW to FE-ACCEPT, I understood
comment #3 to be an approval.
Comment 7 Iain Arnell 2010-09-02 10:27:19 EDT
Package Change Request
======================
Package Name: perl-Class-MakeMethods
New Branches: el6
Owners: iarnell tremble
Comment 8 Kevin Fenzi 2010-09-02 17:16:44 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.